Symptom: Attempt to connect VMware 6.7 to the CFA fails.

Explanation:

ESX 6.7 requires TLSv1.2 connection unless otherwise configured.

The users who already updated their infrastructure to ESX 6.7 can temporary enable TLSv1 protocol modifying ESXiVPsDisabledProtocols key using Host Mange -Advanced Settings in vSphere Web Client. ESX host reboot is required. Known impacts:

ESX 6.7 on CFA UI will show incorrect supported HW version: 4 instead 14.
An attempt to restore VM with HW 14 back to ESX 6.7 will display a warning which can be safely ignored.

Affected versions:

VMware 6.7

CFA: up to 6.15